import greenfoot.*;  
import java.awt.Color;

/**
 * @author (Sugeng Rianto, Ubaidillah) 
 * @version (1.0)
 */

public class Luv extends Actor
{
    private GreenfootImage peta=new GreenfootImage("Peta.png");
    private GreenfootImage gagang=new GreenfootImage("luv.png");    
    private GreenfootImage lensa=new GreenfootImage("Lensa.png");
    private GreenfootImage mask=new GreenfootImage("Mask.png");
    
    private void update()
    {
        GreenfootImage image=new GreenfootImage(gagang.getWidth(),gagang.getHeight());
        GreenfootImage petao=new GreenfootImage(image);
        int w=(int)(1.0*getX()*1487/595)-(int)(1*petao.getWidth());
        int h=(int)(1.0*getY()*1600/640)-(int)(1*petao.getHeight());
        petao.drawImage(peta,-w,-h);
        for(int i=0;i<mask.getWidth();i++){
            for(int j=0;j<mask.getHeight();j++){
                Color warna=mask.getColorAt(i,j) ;
                if(warna.equals(Color.RED)){
                    warna=petao.getColorAt(i,j);
                    image.setColorAt(i,j,warna);
                }
            }
        }
        image.drawImage(lensa,0,0);
        image.drawImage(gagang,0,0);
        setImage(image);
    }
    
    public void addedToWorld(World Latar)
    {
        lensa.setTransparency(100);
    }
    
    public void act() 
    {
        if(Greenfoot.mouseMoved(null)){
            MouseInfo mouse=Greenfoot.getMouseInfo();
            setLocation(mouse.getX(),mouse.getY());
            update();
        }
    }    
}
